Reverse a failed payout
POST /v2/send/payment-intents/{paymentIntentId}/reverse
POST
/v2/send/payment-intents/{paymentIntentId}/reverse
Trigger a USDC refund from the treasury wallet back to the customer wallet for a PayoutFailed payment intent.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” paymentIntentId
required
string format: uuid
d24d70a9-e1e2-4e83-ac81-cf62c2cb4c09Payment Intent ID
Responses
Section titled “ Responses ”Created successfully
Created reversal record
object
id
required
Reversal ID
string format: uuid
d24d70a9-e1e2-4e83-ac81-cf62c2cb4c09 paymentIntentId
required
Payment Intent ID
string format: uuid
d24d70a9-e1e2-4e83-ac81-cf62c2cb4c09 status
required
Reversal status
string
destinationWalletAddress
required
Destination wallet address for the refund
string
amountBaseUnits
required
Refund amount in base units
string
amountDecimals
required
Amount decimals
number
transactionHash
On-chain transaction hash
string
failureReason
Failure reason
string
createdAt
required
Created at timestamp
string format: date-time
updatedAt
required
Updated at timestamp
string format: date-time
Bad Request
Unauthorized
Forbidden
Not Found
Internal Server Error